"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconCoinsStacked04 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M13.3333 3.3335C13.3333 4.43807 10.9455 5.3335 8 5.3335C5.05448 5.3335 2.66666 4.43807 2.66666 3.3335M13.3333 3.3335C13.3333 2.22893 10.9455 1.3335 8 1.3335C5.05448 1.3335 2.66666 2.22893 2.66666 3.3335M13.3333 3.3335V12.6668C13.3333 13.7714 10.9455 14.6668 8 14.6668C5.05448 14.6668 2.66666 13.7714 2.66666 12.6668V3.3335M13.3333 6.44456C13.3333 7.54913 10.9455 8.44456 8 8.44456C5.05448 8.44456 2.66666 7.54913 2.66666 6.44456M13.3333 9.5535C13.3333 10.6581 10.9455 11.5535 8 11.5535C5.05448 11.5535 2.66666 10.6581 2.66666 9.5535",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconCoinsStacked04);
const CoinsStacked04 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "CoinsStacked04", props.className].join(" ")
    }
  );
});
CoinsStacked04.displayName = "IconCoinsStacked04";
exports.default = CoinsStacked04;
